"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  components: {},
  data() {
    return {
      candidates: ["男", "女"],
      city: "",
      single: "",
      datetimesingle: "",
      range: ["2021-02-1", "2021-3-28"],
      datetimerange: [],
      start: Date.now() - 1e9,
      end: Date.now() + 1e9
    };
  }
};
if (!Array) {
  const _easycom_uni_combox2 = common_vendor.resolveComponent("uni-combox");
  const _easycom_uni_datetime_picker2 = common_vendor.resolveComponent("uni-datetime-picker");
  (_easycom_uni_combox2 + _easycom_uni_datetime_picker2)();
}
const _easycom_uni_combox = () => "../../uni_modules/uni-combox/components/uni-combox/uni-combox.js";
const _easycom_uni_datetime_picker = () => "../../uni_modules/uni-datetime-picker/components/uni-datetime-picker/uni-datetime-picker.js";
if (!Math) {
  (_easycom_uni_combox + _easycom_uni_datetime_picker)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.p({
      border: false,
      candidates: $data.candidates,
      placeholder: "请选择性别"
    }),
    b: common_vendor.o(_ctx.maskClick),
    c: common_vendor.o(($event) => $data.single = $event),
    d: common_vendor.p({
      type: "date",
      ["clear-icon"]: false,
      modelValue: $data.single
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "D:/111111000000/uniapp04/pages/message/message.vue"]]);
my.createPage(MiniProgramPage);
